Public Class FormularzDiagnostyczny
    Private Sub btnWykonajDzielenie_Click(sender As Object, e As EventArgs) Handles btnWykonajDzielenie.Click
        ' Ta procedura dzieli liczbę 100 przez liczbę wpisaną przez użytkownika
        ' w polu txtDane.
        Dim lngOdpowiedź As Long

        Try
            lngOdpowiedź = 100 / CLng(txtDane.Text)
            MessageBox.Show("100/" & txtDane.Text & " = " & lngOdpowiedź)
        Catch ex As InvalidCastException
            MessageBox.Show("Aby wykonać dzielenie, musisz wpisać liczbę.")
        End Try

    End Sub
End Class
